
#include <bits/stdc++.h>
#define int long long

signed main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(0);

    int t;
    std::cin >> t;

    while (t--)
    {
        int n, m;
        std::cin >> n >> m;

        std::vector<int> x(m);
        for (int i = 0; i < m; i++)
        {
            std::cin >> x[i];
        }

        std::cout << std::min(n, m) * x[0] << std::endl;
    }
}